For the complete documentation index, see llms.txt. This page is also available as Markdown.

Subscriptions

get

Get subscription by id

Path parameters
idstring · uuidRequired
Header parameters
AuthorizationanyRequired
Legal-EntityanyRequired
Responses
200

OK

application/json
idstring · uuidOptional
createdstring · date-timeOptional
modifiedstring · date-time · nullableOptional
modifiedWithChildrenstring · date-time · nullableOptional
orderNumberstring · nullableRead-onlyOptional
versioninteger · int32Optional
lastVersionbooleanOptional
remarksstring · nullableOptional
statusstring · enumOptionalPossible values:
descriptionstring · nullableOptional
effectiveStartDatestring · dateOptional
effectiveEndDatestring · date · nullableOptional
effectiveChangeDatestring · date · nullableOptional
cancellationDatestring · date · nullableOptional
orderDatestring · date · nullableOptional
noticePeriodDatestring · date · nullableOptional
noticePeriodinteger · int32Optional
lastRenewalDatestring · date · nullableOptional
terminteger · int32Optional
renewalTerminteger · int32Optional
autoRenewedbooleanOptional
termTypestring · enumOptionalPossible values:
paymentMethodstring · enumOptionalPossible values:
yourReferencestring · nullableOptional
invoiceSeparatelybooleanOptional
ourReferencestring · nullableOptional
yourOrderNumberstring · nullableOptional
buyerReferencestring · nullableOptional
billingPeriodstring · enumOptionalPossible values:
setBillingPeriodbooleanOptional
paymentTermstring · nullableOptional
useAccountInvoiceBatchGroupbooleanOptional
currencystring · nullableOptional
externalCRMIdstring · nullableOptional
externalERPIdstring · nullableOptional
invoiceCurrencystring · nullableOptional
productsstring · nullableOptional
milestonesstring · nullableOptional
discountsstring · nullableOptional
metricsstring · nullableOptional
get/subscriptions/{id}
GET /subscriptions/{id} HTTP/1.1
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "modifiedWithChildren": "2026-01-01T00:00:00.000Z",
  "orderNumber": "text",
  "version": 1,
  "lastVersion": true,
  "remarks": "text",
  "status": "Draft",
  "description": "text",
  "effectiveStartDate": "2026-01-01",
  "effectiveEndDate": "2026-01-01",
  "effectiveChangeDate": "2026-01-01",
  "cancellationDate": "2026-01-01",
  "orderDate": "2026-01-01",
  "noticePeriodDate": "2026-01-01",
  "noticePeriod": 1,
  "lastRenewalDate": "2026-01-01",
  "term": 1,
  "renewalTerm": 1,
  "autoRenewed": true,
  "termType": "Termed",
  "paymentMethod": "Invoice",
  "yourReference": "text",
  "invoiceSeparately": true,
  "ourReference": "text",
  "yourOrderNumber": "text",
  "buyerReference": "text",
  "billingPeriod": "Monthly",
  "setBillingPeriod": true,
  "paymentTerm": "text",
  "useAccountInvoiceBatchGroup": true,
  "currency": "text",
  "externalCRMId": "text",
  "externalERPId": "text",
  "invoiceCurrency": "text",
  "invoiceAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "deliveryAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "account": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "accountNumber": "text",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "invoiceAccount": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "accountNumber": "text",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "invoiceBatchGroup": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "code": "text",
    "description": "text"
  },
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "products": "text",
  "milestones": "text",
  "discounts": "text",
  "metrics": "text"
}
get

Get subscription by order number

Path parameters
orderNumberstringRequired
Header parameters
AuthorizationanyRequired
Legal-EntityanyRequired
Responses
200

OK

application/json
idstring · uuidOptional
createdstring · date-timeOptional
modifiedstring · date-time · nullableOptional
modifiedWithChildrenstring · date-time · nullableOptional
orderNumberstring · nullableRead-onlyOptional
versioninteger · int32Optional
lastVersionbooleanOptional
remarksstring · nullableOptional
statusstring · enumOptionalPossible values:
descriptionstring · nullableOptional
effectiveStartDatestring · dateOptional
effectiveEndDatestring · date · nullableOptional
effectiveChangeDatestring · date · nullableOptional
cancellationDatestring · date · nullableOptional
orderDatestring · date · nullableOptional
noticePeriodDatestring · date · nullableOptional
noticePeriodinteger · int32Optional
lastRenewalDatestring · date · nullableOptional
terminteger · int32Optional
renewalTerminteger · int32Optional
autoRenewedbooleanOptional
termTypestring · enumOptionalPossible values:
paymentMethodstring · enumOptionalPossible values:
yourReferencestring · nullableOptional
invoiceSeparatelybooleanOptional
ourReferencestring · nullableOptional
yourOrderNumberstring · nullableOptional
buyerReferencestring · nullableOptional
billingPeriodstring · enumOptionalPossible values:
setBillingPeriodbooleanOptional
paymentTermstring · nullableOptional
useAccountInvoiceBatchGroupbooleanOptional
currencystring · nullableOptional
externalCRMIdstring · nullableOptional
externalERPIdstring · nullableOptional
invoiceCurrencystring · nullableOptional
productsstring · nullableOptional
milestonesstring · nullableOptional
discountsstring · nullableOptional
metricsstring · nullableOptional
get/subscriptions/{orderNumber}
GET /subscriptions/{orderNumber} HTTP/1.1
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "modifiedWithChildren": "2026-01-01T00:00:00.000Z",
  "orderNumber": "text",
  "version": 1,
  "lastVersion": true,
  "remarks": "text",
  "status": "Draft",
  "description": "text",
  "effectiveStartDate": "2026-01-01",
  "effectiveEndDate": "2026-01-01",
  "effectiveChangeDate": "2026-01-01",
  "cancellationDate": "2026-01-01",
  "orderDate": "2026-01-01",
  "noticePeriodDate": "2026-01-01",
  "noticePeriod": 1,
  "lastRenewalDate": "2026-01-01",
  "term": 1,
  "renewalTerm": 1,
  "autoRenewed": true,
  "termType": "Termed",
  "paymentMethod": "Invoice",
  "yourReference": "text",
  "invoiceSeparately": true,
  "ourReference": "text",
  "yourOrderNumber": "text",
  "buyerReference": "text",
  "billingPeriod": "Monthly",
  "setBillingPeriod": true,
  "paymentTerm": "text",
  "useAccountInvoiceBatchGroup": true,
  "currency": "text",
  "externalCRMId": "text",
  "externalERPId": "text",
  "invoiceCurrency": "text",
  "invoiceAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "deliveryAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "account": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "accountNumber": "text",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "invoiceAccount": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "accountNumber": "text",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "invoiceBatchGroup": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "code": "text",
    "description": "text"
  },
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "products": "text",
  "milestones": "text",
  "discounts": "text",
  "metrics": "text"
}
get

Get metrics by subscription id

Path parameters
idstring · uuidRequired
Header parameters
AuthorizationanyRequired
Legal-EntityanyRequired
Responses
200

OK

application/json
baseCurrencyCodestring · nullableOptional
currencyConversionDatestring · date-time · nullableOptional
get/subscriptions/{id}/metrics
GET /subscriptions/{id}/metrics HTTP/1.1
Accept: */*
{
  "baseCurrencyCode": "text",
  "currencyConversionDate": "2026-01-01T00:00:00.000Z",
  "cmrr": {
    "amount": 1,
    "currency": "text",
    "baseCurrencyAmount": 1
  },
  "emrr": {
    "amount": 1,
    "currency": "text",
    "baseCurrencyAmount": 1
  },
  "carr": {
    "amount": 1,
    "currency": "text",
    "baseCurrencyAmount": 1
  },
  "oneTimeFees": {
    "amount": 1,
    "currency": "text",
    "baseCurrencyAmount": 1
  },
  "tcv": {
    "amount": 1,
    "currency": "text",
    "baseCurrencyAmount": 1
  }
}
get

Get subscriptions

Query parameters
subscriptionModifiedAfterstring · date-timeRequired
subscriptionModifiedBeforestring · date-timeRequired
pageSizeinteger · int32Optional
pageNumberinteger · int32Optional
statusstring · enumOptionalPossible values:
Header parameters
AuthorizationanyRequired
Legal-EntityanyRequired
Responses
200

OK

application/json
nextPagestring · nullableRead-onlyOptional
get/subscriptions
GET /subscriptions?subscriptionModifiedAfter=2026-01-01T00%3A00%3A00.000Z&subscriptionModifiedBefore=2026-01-01T00%3A00%3A00.000Z HTTP/1.1
Accept: */*
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z",
      "modifiedWithChildren": "2026-01-01T00:00:00.000Z",
      "orderNumber": "text",
      "version": 1,
      "lastVersion": true,
      "remarks": "text",
      "status": "Draft",
      "description": "text",
      "effectiveStartDate": "2026-01-01",
      "effectiveEndDate": "2026-01-01",
      "effectiveChangeDate": "2026-01-01",
      "cancellationDate": "2026-01-01",
      "orderDate": "2026-01-01",
      "noticePeriodDate": "2026-01-01",
      "noticePeriod": 1,
      "lastRenewalDate": "2026-01-01",
      "term": 1,
      "renewalTerm": 1,
      "autoRenewed": true,
      "termType": "Termed",
      "paymentMethod": "Invoice",
      "yourReference": "text",
      "invoiceSeparately": true,
      "ourReference": "text",
      "yourOrderNumber": "text",
      "buyerReference": "text",
      "billingPeriod": "Monthly",
      "setBillingPeriod": true,
      "paymentTerm": "text",
      "useAccountInvoiceBatchGroup": true,
      "currency": "text",
      "externalCRMId": "text",
      "externalERPId": "text",
      "invoiceCurrency": "text",
      "invoiceAddress": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      },
      "deliveryAddress": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      },
      "account": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "accountNumber": "text",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "invoiceAccount": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "accountNumber": "text",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "invoiceBatchGroup": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "description": "text"
      },
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "products": "text",
      "milestones": "text",
      "discounts": "text",
      "metrics": "text"
    }
  ],
  "nextPage": "text"
}
get

Get subscription products by subscription id

Path parameters
idstring · uuidRequired
Header parameters
AuthorizationanyRequired
Legal-EntityanyRequired
Responses
200

OK

application/json
idstring · uuidOptional
createdstring · date-timeOptional
modifiedstring · date-time · nullableOptional
modifiedWithChildrenstring · date-time · nullableOptional
orderIdstring · uuid · nullableOptional
productNumberstring · nullableOptional
chargePlanIdstring · uuid · nullableOptional
chargePlanNamestring · nullableOptional
chargePlanNumberstring · nullableOptional
lineNumberinteger · int32Optional
namestring · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
chargesstring · nullableOptional
metricsstring · nullableOptional
get/subscriptions/{id}/subscription-products
GET /subscriptions/{id}/subscription-products HTTP/1.1
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created": "2026-01-01T00:00:00.000Z",
    "modified": "2026-01-01T00:00:00.000Z",
    "modifiedWithChildren": "2026-01-01T00:00:00.000Z",
    "orderId": "123e4567-e89b-12d3-a456-426614174000",
    "productNumber": "text",
    "chargePlanId": "123e4567-e89b-12d3-a456-426614174000",
    "chargePlanName": "text",
    "chargePlanNumber": "text",
    "lineNumber": 1,
    "name": "text",
    "externalERPId": "text",
    "externalCRMId": "text",
    "customFields": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "charges": "text",
    "metrics": "text"
  }
]
get

Get milestones by subscription id

Path parameters
idstring · uuidRequired
Header parameters
AuthorizationanyRequired
Legal-EntityanyRequired
Responses
200

OK

application/json
idstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
milestoneDatestring · date · nullableOptional
plannedDatestring · date · nullableOptional
get/subscriptions/{id}/milestones
GET /subscriptions/{id}/milestones HTTP/1.1
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "description": "text",
    "milestoneDate": "2026-01-01",
    "plannedDate": "2026-01-01"
  }
]
get

Get discounts by subscription id

Path parameters
idstring · uuidRequired
Header parameters
AuthorizationanyRequired
Legal-EntityanyRequired
Responses
200

OK

application/json
idstring · uuidOptional
startOnstring · enumOptionalPossible values:
endOnstring · enumOptionalPossible values:
startDatestring · date · nullableOptional
endDatestring · date · nullableOptional
percentnumber · double · nullableOptional
discountTypestring · enumOptionalPossible values:
onlySelectedChargesbooleanOptional
get/subscriptions/{id}/discounts
GET /subscriptions/{id}/discounts HTTP/1.1
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "startOn": "AlignToOrder",
    "endOn": "AlignToOrder",
    "startDate": "2026-01-01",
    "endDate": "2026-01-01",
    "percent": 1,
    "discountType": "Percent",
    "onlySelectedCharges": true
  }
]

Last updated